### Method

# Pango.FontMap.load_fontset

#### Declaration [src]

    PangoFontset*
    pango_font_map_load_fontset (
      PangoFontMap* fontmap,
      PangoContext* context,
      const PangoFontDescription* desc,
      PangoLanguage* language
    )

#### Description [src]

Load a set of fonts in the fontmap that can be used to render a font matching `desc`.

#### Parameters

`context` | `PangoContext`
| the `PangoContext` the font will be used with
| Ownership is not transferred to the callee
`desc` | `PangoFontDescription`
| a `PangoFontDescription` describing the font to load
| Ownership is not transferred to the callee
`language` | `PangoLanguage`
| a `PangoLanguage` the fonts will be used for
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoFontset`
the newly allocated `PangoFontset` loaded, or `NULL` if no font matched.
Ownership of the data is transferred to the caller
Can be `NULL`